---
title: Verify Domain
description: The POST {{apiPath}}/v1/environments/{{envID}}/customDomains/{{customDomainID}} operation is used to validate a custom domain resource when the status property value is set to VERIFICATION_REQURIED. This operation uses the application/vnd.pingidentity.domainName.verify+json custom media type as the content type in the request header.
component: pingone-api
page_id: pingone-api:platform:custom-domains/verify-domain
canonical_url: https://developer.pingidentity.com/pingone-api/platform/custom-domains/verify-domain.html
section_ids:
  prerequisites: Prerequisites
  headers: Headers
  example-request: Example Request
  example-response: Example Response
---

# Verify Domain

##

```none
POST {{apiPath}}/v1/environments/{{envID}}/customDomains/{{customDomainID}}
```

The `POST {{apiPath}}/v1/environments/{{envID}}/customDomains/{{customDomainID}}` operation is used to validate a custom domain resource when the `status` property value is set to `VERIFICATION_REQURIED`. This operation uses the `application/vnd.pingidentity.domainName.verify+json` custom media type as the content type in the request header.

If successful, the response returns a `200 OK` message. If no CNAME record was found with the expected domain alias value, the response returns a `REQUEST_FAILED/VERFICATION_FAILED` error.

|   |                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| - | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|   | You cannot verify a custom domain until you update the DNS manager to add the CNAME record value, which consists of your domain name pointing to the PingOne `canonicalName` property value returned by the create request. In addition, after entering the CNAME record, it can take some time to propagate to the DNS servers, which, if the verification request is initiated too soon, can result in a verification failure. |

### Prerequisites

* Refer to [Custom Domains](../custom-domains.html) for important overview information.

* Refer to [Create a domain](create-domain.html) to get a `{{customDomainID}}` for the endpoint. For more information, refer to [Custom Domains](../custom-domains.html).

### Headers

Authorization      Bearer {{accessToken}}

Content-Type      application/vnd.pingidentity.domainName.verify+json

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff --request POST '{{apiPath}}/v1/environments/{{envID}}/customDomains/{{customDomainID}}' \
--header 'Content-Type: application/vnd.pingidentity.domainName.verify+json' \
--header 'Authorization: Bearer {{accessToken}}'
```

```csharp
var options = new RestClientOptions("{{apiPath}}/v1/environments/{{envID}}/customDomains/{{customDomainID}}")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Post);
request.AddHeader("Content-Type", "application/vnd.pingidentity.domainName.verify+json");
request.AddHeader("Authorization", "Bearer {{accessToken}}");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/v1/environments/{{envID}}/customDomains/{{customDomainID}}"
  method := "POST"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Content-Type", "application/vnd.pingidentity.domainName.verify+json")
  req.Header.Add("Authorization", "Bearer {{accessToken}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
POST /v1/environments/{{envID}}/customDomains/{{customDomainID}} HTTP/1.1
Host: {{apiPath}}
Content-Type: application/vnd.pingidentity.domainName.verify+json
Authorization: Bearer {{accessToken}}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("application/vnd.pingidentity.domainName.verify+json");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("{{apiPath}}/v1/environments/{{envID}}/customDomains/{{customDomainID}}")
  .method("POST", body)
  .addHeader("Content-Type", "application/vnd.pingidentity.domainName.verify+json")
  .addHeader("Authorization", "Bearer {{accessToken}}")
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{apiPath}}/v1/environments/{{envID}}/customDomains/{{customDomainID}}",
  "method": "POST",
  "timeout": 0,
  "headers": {
    "Content-Type": "application/vnd.pingidentity.domainName.verify+json",
    "Authorization": "Bearer {{accessToken}}"
  },
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'POST',
  'url': '{{apiPath}}/v1/environments/{{envID}}/customDomains/{{customDomainID}}',
  'headers': {
    'Content-Type': 'application/vnd.pingidentity.domainName.verify+json',
    'Authorization': 'Bearer {{accessToken}}'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests
import json

url = "{{apiPath}}/v1/environments/{{envID}}/customDomains/{{customDomainID}}"

payload = {}
headers = {
  'Content-Type': 'application/vnd.pingidentity.domainName.verify+json',
  'Authorization': 'Bearer {{accessToken}}'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/v1/environments/{{envID}}/customDomains/{{customDomainID}}');
$request->setMethod(HTTP_Request2::METHOD_POST);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'Content-Type' => 'application/vnd.pingidentity.domainName.verify+json',
  'Authorization' => 'Bearer {{accessToken}}'
));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "json"
require "net/http"

url = URI("{{apiPath}}/v1/environments/{{envID}}/customDomains/{{customDomainID}}")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Post.new(url)
request["Content-Type"] = "application/vnd.pingidentity.domainName.verify+json"
request["Authorization"] = "Bearer {{accessToken}}"

response = http.request(request)
puts response.read_body
```

```swift
var request = URLRequest(url: URL(string: "{{apiPath}}/v1/environments/{{envID}}/customDomains/{{customDomainID}}")!,timeoutInterval: Double.infinity)
request.addValue("application/vnd.pingidentity.domainName.verify+json", forHTTPHeaderField: "Content-Type")
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")

request.httpMethod = "POST"

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```

### Example Response

200 OK

```json
{
    "_links": {
        "self": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/customDomains/4490de20-a93d-4369-82a5-b04f935c522a"
        },
        "environment": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
        }
    },
    "id": "93838ab0-0238-40fa-ae4e-6b890882d323",
    "domainName": "custom-domain.example.com",
    "status": "SSL_CERTIFICATE_REQUIRED"
}
```
